import useTitle from "../../utils/hooks/TitleHook";
import React from "react";
import {Link} from "react-router-dom";

const ROOM_URL = `http://${process.env.REACT_APP_API_URL}/room`;

const Rooms = () => {

    useTitle('Rooms');

    const [rooms, setRooms] = React.useState<string[]>([]);

    React.useEffect(() => {
        fetch(ROOM_URL)
            .then(r => r.json())
            .then(data => setRooms(data));
    }, []);

    return (
        <div>
            <h1>Rooms</h1>
            <ul>
                {
                    rooms.map((room, index) => {
                        return <li key={index}><Link to={`room/${room}`}>{room}</Link></li>
                    })
                }
            </ul>
        </div>
    );
};

export default Rooms;
